Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces
ObservableGraph.h File Reference
`#include <algorithm>`
`#include <tulip/Observable.h>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
Include dependency graph for ObservableGraph.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::GraphObserver
    That class receives a message (call back/handler function) after each modification of a Graph. More...
- class tlp::GraphObserver::RealGraphObserver

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2012